Python language support

What is the situation with supporting Python? Which versions of Python are supported?

[original thread by Ivan Serdyuk]

Please see https://github.com/theia-ide/theia/issues/4963#issuecomment-485266821 and https://github.com/theia-ide/theia/issues/4956. Python 2.x and 3.x are supported, plus you can run vscode python extenison.